Golf - Feature #3929

[ LOGIC ]implementasi Logic History Page
10/02/2025 10:40 AM - Mr Dhafin

Status: Assigned Start date: 10/02/2025
Priority: Normal Due date: 10/07/2025
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Sehubungan dengan kebutuhan pengembangan sistem, berikut saya sampaikan detail logic dan langkah-langkah yang akan
digunakan pada History Page untuk memudahkan pemahaman dan implementasi.

1. Ambil Data User
» Ambil UserID & CustomerID dari session login pada table CRMSUSER.
— Ini jadi parameter utama untuk filter riwayat.

2. Training History
* Query ke tabel:
* PTRSALESHEADER — booking header (DocNo, Customer|D, DocStatus).

Pada sisi ES:

0 Jika pengguna melakukan Booking, maka status akan menjadi Booking.

[l Jika pengguna melakukan Pembayaran, maka status berubah menjadi Submitted.

[l Selanjutnya, Admin perlu melakukan pengecekan pada menu Service Order untuk memastikan apakah pembayaran sudah benar
dilakukan.

[l Jika valid, admin akan mengubah status menjadi Paid.

Pada sisi CRM:
[ Ketika pengguna baru melakukan Booking dan Pembayaran, status akan tercatat sebagai Waiting Payment.
[ Setelah admin mengubah status menjadi Paid, maka status di CRM otomatis berubah menjadi Complete.

* Detail sesi (SessionName, StartTime, EndTime, Price, Coach).

[ SessionName: diambil dari tabel PTRSALESITEMS, field Material. Untuk master data ServiceName diambil dari tabel
PMDSRV0001, field ServicelD dan ServiceName, dengan mencocokkan DocNo pada PTRSALESHEADER dan PTRSALESITEMS.
[ StartTime: diambil dari tabel PTRSALESHEADER, field StartTime.

[ EndTime: diambil dari tabel PTRSALESHEADER, field EndTime.

[l Price: diambil dari tabel PTRSALESITEMS, field NetAmount, dengan mencocokkan DocNo pada PTRSALESHEADER dan
PTRSALESITEMS.

[ Coach: diambil dari tabel PTRSALESHEADER, field Coach. Master data Coach diambil dari tabel PMDSRV0007.

* Mapping ke Ul Training Tab:

* Judul = "Training"

* Nama Sesi = SessionName

* Booking ID = BookinglD

* Date & Time = StartTime — EndTime

* Detail Latihan = SessionName + Price

» Coach Name = CoachName

« Status Button = berdasarkan Status (Completed — hijau tua)

3. Payment History

» Mapping ke Ul Payment Tab:

o Judul = "Payment”

o Payment Status = Status (Waiting Payment, Completed)

o Booking ID = ServicelD

o Date & Time = Date & Time merupakan tanggal dan waktu yang dipesan oleh user untuk sesi training.
o Deskripsi = ServiceName + Price

o Status = Kuning muda (Waiting Payment), hijau tua (Completed)

4. Search & Filter
* Search:
o Cari dari ServicelD, ServiceName, CoachName.

* Filter:

o Tanggal: filter StartTime (Training) atau PaymentDate (Payment).
o Status: Completed, Waiting Payment.

o Kategori: Training atau Payment.

= ﬂe
History
Search your session or payment history A4
Training ( Payment )
Payment

Pending Confirmation
Booking ID 082321352213
Kamis, 27 Juli 2025
08:30 - 10:30

Swing Analysis

Rp. 250,000

Waiting Payment

Payment

Payment Confirmation
Booking ID 082321352216
Minggu, 30 Juli 2025
08:30 - 10:30

swing Analysis

Rp. 250.000

Complete

port = https://demo-ecommerce-golfcourse.minovais.com/ECommerce_History.html
database = 103.153.60.89
nama database = MinovaES_DEMO_GolfCourse

History

#1 - 10/02/2025 10:54 AM - Mr Dhafin

- Status changed from New to Assigned
